<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Initialize a new HiveContext.</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for sparkRHive.init {SparkR}"><tr><td>sparkRHive.init {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Initialize a new HiveContext.</h2>

<h3>Description</h3>

<p>This function creates a HiveContext from an existing JavaSparkContext
</p>


<h3>Usage</h3>

<pre>
sparkRHive.init(jsc = NULL)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>jsc</code></td>
<td>
<p>The existing JavaSparkContext created with SparkR.init()</p>
</td></tr>
</table>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlContext &lt;- sparkRHive.init(sc)

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
